<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/gamestates/CustomGameState.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_a965fb386e4455e156591f466d68ffdd.html">gamestates</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">CustomGameState.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="CustomGameState_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#include &quot;<a class="code" href="GameState_8hpp.html">gamestates/GameState.hpp</a>&quot;</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacegg.html">gg</a></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>{</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="classgg_1_1CustomGameState.html">    8</a></span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1CustomGameState.html">CustomGameState</a> : <span class="keyword">public</span> <a class="code hl_class" href="classgg_1_1GameState.html">GameState</a></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>{</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="classgg_1_1CustomGameState.html#a2cd5c3758b06d61d5c3c3142cc06e110">   12</a></span>    <a class="code hl_function" href="classgg_1_1CustomGameState.html#a2cd5c3758b06d61d5c3c3142cc06e110">CustomGameState</a>();</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="classgg_1_1CustomGameState.html#afcb60cc06555e17da9438779d87fd052">   13</a></span>    <a class="code hl_function" href="classgg_1_1CustomGameState.html#afcb60cc06555e17da9438779d87fd052">~CustomGameState</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="classgg_1_1CustomGameState.html#a49aca6084f6314d5f73ce22b99a83d8b">   15</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1CustomGameState.html#a49aca6084f6314d5f73ce22b99a83d8b">Enter</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="classgg_1_1CustomGameState.html#a81185173b30b4ba2ede5c8a95730331e">   17</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1CustomGameState.html#a81185173b30b4ba2ede5c8a95730331e">OnEvent</a>(<a class="code hl_class" href="classgg_1_1IEvent.html">IEvent</a> *e) <span class="keyword">override</span>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="classgg_1_1CustomGameState.html#a38f252ae0a5aecdf3cb6850a775492ef">   18</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1CustomGameState.html#a38f252ae0a5aecdf3cb6850a775492ef">Update</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>};</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>}; <span class="comment">// namespace gg</span></div>
<div class="ttc" id="aGameState_8hpp_html"><div class="ttname"><a href="GameState_8hpp.html">GameState.hpp</a></div></div>
<div class="ttc" id="aclassgg_1_1CustomGameState_html"><div class="ttname"><a href="classgg_1_1CustomGameState.html">gg::CustomGameState</a></div><div class="ttdef"><b>Definition:</b> CustomGameState.hpp:9</div></div>
<div class="ttc" id="aclassgg_1_1CustomGameState_html_a2cd5c3758b06d61d5c3c3142cc06e110"><div class="ttname"><a href="classgg_1_1CustomGameState.html#a2cd5c3758b06d61d5c3c3142cc06e110">gg::CustomGameState::CustomGameState</a></div><div class="ttdeci">CustomGameState()</div></div>
<div class="ttc" id="aclassgg_1_1CustomGameState_html_a38f252ae0a5aecdf3cb6850a775492ef"><div class="ttname"><a href="classgg_1_1CustomGameState.html#a38f252ae0a5aecdf3cb6850a775492ef">gg::CustomGameState::Update</a></div><div class="ttdeci">void Update() override</div></div>
<div class="ttc" id="aclassgg_1_1CustomGameState_html_a49aca6084f6314d5f73ce22b99a83d8b"><div class="ttname"><a href="classgg_1_1CustomGameState.html#a49aca6084f6314d5f73ce22b99a83d8b">gg::CustomGameState::Enter</a></div><div class="ttdeci">void Enter() override</div></div>
<div class="ttc" id="aclassgg_1_1CustomGameState_html_a81185173b30b4ba2ede5c8a95730331e"><div class="ttname"><a href="classgg_1_1CustomGameState.html#a81185173b30b4ba2ede5c8a95730331e">gg::CustomGameState::OnEvent</a></div><div class="ttdeci">void OnEvent(IEvent *e) override</div></div>
<div class="ttc" id="aclassgg_1_1CustomGameState_html_afcb60cc06555e17da9438779d87fd052"><div class="ttname"><a href="classgg_1_1CustomGameState.html#afcb60cc06555e17da9438779d87fd052">gg::CustomGameState::~CustomGameState</a></div><div class="ttdeci">~CustomGameState() override</div></div>
<div class="ttc" id="aclassgg_1_1GameState_html"><div class="ttname"><a href="classgg_1_1GameState.html">gg::GameState</a></div><div class="ttdef"><b>Definition:</b> GameState.hpp:12</div></div>
<div class="ttc" id="aclassgg_1_1IEvent_html"><div class="ttname"><a href="classgg_1_1IEvent.html">gg::IEvent</a></div><div class="ttdef"><b>Definition:</b> Event.hpp:41</div></div>
<div class="ttc" id="anamespacegg_html"><div class="ttname"><a href="namespacegg.html">gg</a></div><div class="ttdef"><b>Definition:</b> Application.hpp:22</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
